Bug 1399208 - [Multi-tenancy] - RFE - Disable renaming of Tenants created by tenant mapping
Summary: [Multi-tenancy] - RFE - Disable renaming of Tenants created by tenant mapping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Libor Pichler
QA Contact: Pavol Kotvan
URL:
Whiteboard: ui:tenant_cfme
Depends On: 1382687
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-28 14:50 UTC by Satoe Imaishi
Modified: 2017-02-27 19:25 UTC (History)
8 users (show)

Fixed In Version: 5.7.1.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1382687
Environment:
Last Closed: 2017-02-27 19:25:02 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-06 14:30:52 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/b377888762bb89af67e5382f035710eecc6a4c89

commit b377888762bb89af67e5382f035710eecc6a4c89
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Oct 14 11:38:28 2016 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 6 09:29:51 2017 -0500

    Merge pull request #11931 from lpichler/disable_tenant_edit_from_cloud_tenant_mapping
    
    Disable tenant edit from cloud tenant mapping
    (cherry picked from commit e91a3022b4606a5954261627532534c8a90a02cf)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1399208

 .../application_helper/button/tenant_edit.rb       |  7 +++++++
 .../application_helper/toolbar/tenant_center.rb    |  3 ++-
 spec/factories/tenant.rb                           |  4 ++++
 .../application_helper/buttons/tenant_edit_spec.rb | 22 ++++++++++++++++++++++
 4 files changed, 35 insertions(+), 1 deletion(-)
 create mode 100644 app/helpers/application_helper/button/tenant_edit.rb
 create mode 100644 spec/helpers/application_helper/buttons/tenant_edit_spec.rb

Comment 6 errata-xmlrpc 2017-02-27 19:25:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.